Currently, you can only make payments from the parent budget, not from any sub-budgets.
How it works
The following diagram describes the different steps required to send funds externally with Equals. Click on the image to enlarge it.Create a single-currency payment
POST
/v2/orders/tradeBefore you start
To send a single-currency payment, you first need to create a quote where:type.fromis set tobalancetype.tois set topayment,multiple, orforwardsourceCurrencyandtargetCurrencyare set to the same currency- at least one of
sourceCurrency.amountortargetCurrency.amountis provided sourceCurrency.currency.budgetIdandtargetCurrency.currency.budgetIdare set to the ID of the parent budget
GBP payment to an external recipient:
Request
Use this request to create a single-currency payment, using theorderId and quoteRequestId returned when you created a quote.
Query parameters
The ID of the account that you’re creating a single-currency payments for.Allowable values: An existing
accountIdRequest body schema
The ID of the order that was returned in the quote request.Allowable values: An existing
orderId (≤ 36 characters)The ID of the quote request that was returned in the quote request.Allowable values: An existing
quoteRequestId (≤ 36 characters)Details about the payment that you’re making.Allowable values: A valid
payments object containing the following fields: amount, currency, recipientId , internalReference, externalReferenceResponse
If your request is successful, you’ll receive a200 response.